Bug 237381 - (ruby-zoom) Review Request: ruby-zoom - Ruby binding to ZOOM
Review Request: ruby-zoom - Ruby binding to ZOOM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: alexandria
  Show dependency treegraph
 
Reported: 2007-04-21 13:05 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-29 21:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-04-21 13:05:15 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-zoom.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-zoom-0.2.2-1.fc7.src.rpm
Mock build log on FC-devel i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-ruby-zoom.log

Description: 
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface 
to a subset of the services specified by the Z39.50 standard, 
also known as the international standard ISO 23950.
Comment 1 Chris Weyl 2007-04-24 22:59:30 EDT
This is my first review attempt of a ruby package, so please, be kind -- I'm
quite willing to be educated :)

doc/ and README should be in %doc.  Add these, and I'll approve.

+ source files match upstream:
 e38f664296b70b2d74962359f381cfb7  ruby-zoom-0.2.2.tar.gz
 e38f664296b70b2d74962359f381cfb7  ../ruby-zoom-0.2.2.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. (LGPL) License text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
 final provides and requires are sane:
 ** ruby-zoom-0.2.2-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 ruby(zoom) = 0.2.2-1.fc6
 zoom.so()(64bit)  
 ruby-zoom = 0.2.2-1.fc6
 == requires
 libc.so.6()(64bit)  
 libc.so.6(GLIBC_2.2.5)(64bit)  
 libc.so.6(GLIBC_2.3)(64bit)  
 libc.so.6(GLIBC_2.3.4)(64bit)  
 libc.so.6(GLIBC_2.4)(64bit)  
 libcrypt.so.1()(64bit)  
 libcrypto.so.6()(64bit)  
 libdl.so.2()(64bit)  
 libexslt.so.0()(64bit)  
 libgcrypt.so.11()(64bit)  
 libgpg-error.so.0()(64bit)  
 libm.so.6()(64bit)  
 libnsl.so.1()(64bit)  
 libpthread.so.0()(64bit)  
 libruby.so.1.8()(64bit)  
 libssl.so.6()(64bit)  
 libwrap.so.0()(64bit)  
 libxml2.so.2()(64bit)  
 libxslt.so.1()(64bit)  
 libyaz.so.2()(64bit)  
 libz.so.1()(64bit)  
 ruby  
 ruby(abi) = 1.8
 ** ruby-zoom-debuginfo-0.2.2-1.fc6.x86_64.rpm
 == rpmlint
 == provides
 zoom.so.debug()(64bit)  
 ruby-zoom-debuginfo = 0.2.2-1.fc6
 == requires
O %check is NOT present -- but there appear to be no tests
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 2 Mamoru TASAKA 2007-04-28 10:31:24 EDT
Oops... Just I didn't notice the line 3 of your comment...
Sorry for delay...

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/ruby-zoom.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/ruby-zoom-0.2.2-2.fc7.src.rpm

-----------------------------------------------
* Sat Apr 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-2
- Add more documents
Comment 3 Chris Weyl 2007-04-28 11:28:25 EDT
Not a problem -- my cuecat just came in the mail yesterday ;)

APPROVED!
Comment 4 Mamoru TASAKA 2007-04-28 11:36:05 EDT
Thank you!

Request for CVS admin:
-----------------------------------------------
New Package CVS Request
=======================
Package Name:         ruby-zoom
Short Description:    Ruby binding to ZOOM
Owners:               mtasaka@ioa.s.u-tokyo.ac.jp
Branches:             devel FC-6 FC-5
InitialCC:            (nobody)
-----------------------------------------------
Comment 5 Mamoru TASAKA 2007-04-29 21:02:15 EDT
Rebuilt successfully on all branches.
Closing as NEXTRELEASE.

Thank you for reviewing and approving this package!!

Note You need to log in before you can comment on or make changes to this bug.